<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>Uses of Class Heroes.Tile.TowerInfos</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="use: package: Heroes.Tile, enum: TowerInfos">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-use">
<script type="text/javascript">var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../TowerInfos.html" title="enum in Heroes.Tile">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 title="Uses of Class Heroes.Tile.TowerInfos" class="title">Uses of Class<br>Heroes.Tile.TowerInfos</h1>
</div>
<div class="classUseContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#Heroes">Heroes</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#Heroes.RightPanel">Heroes.RightPanel</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#Heroes.Tile">Heroes.Tile</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#Heroes.User">Heroes.User</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="classUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="Heroes">
<!--   -->
</a>
<h2>Uses of <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a> in <a href="../../package-summary.html">Heroes</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../package-summary.html">Heroes</a> with parameters of type <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../Game.html#setTowerselected(Heroes.Tile.TowerInfos)">setTowerselected</a></span>&#8203;(<a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a>&nbsp;towerselected)</code></th>
<td class="colLast">
<div class="block">Sets towerselected.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="Heroes.RightPanel">
<!--   -->
</a>
<h2>Uses of <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a> in <a href="../../RightPanel/package-summary.html">Heroes.RightPanel</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../RightPanel/package-summary.html">Heroes.RightPanel</a> with parameters of type <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TowerListViewCell.</span><code><span class="memberNameLink"><a href="../../RightPanel/TowerListViewCell.html#updateItem(Heroes.Tile.TowerInfos,boolean)">updateItem</a></span>&#8203;(<a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a>&nbsp;towerInfos,
boolean&nbsp;empty)</code></th>
<td class="colLast">
<div class="block">Initialize cell layout and attributes</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="Heroes.Tile">
<!--   -->
</a>
<h2>Uses of <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a> in <a href="../package-summary.html">Heroes.Tile</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">Heroes.Tile</a> that return <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TowerInfos.</span><code><span class="memberNameLink"><a href="../TowerInfos.html#valueOf(java.lang.String)">valueOf</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a>[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TowerInfos.</span><code><span class="memberNameLink"><a href="../TowerInfos.html#values()">values</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="Heroes.User">
<!--   -->
</a>
<h2>Uses of <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a> in <a href="../../User/package-summary.html">Heroes.User</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../User/package-summary.html">Heroes.User</a> that return <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TowerImprovement.</span><code><span class="memberNameLink"><a href="../../User/TowerImprovement.html#getTowerInfos()">getTowerInfos</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets tower infos.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../User/package-summary.html">Heroes.User</a> that return types with arguments of type <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.HashMap&lt;<a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a>,&#8203;<a href="../../User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TowersImprovements.</span><code><span class="memberNameLink"><a href="../../User/TowersImprovements.html#getMapTkTowersImprovement()">getMapTkTowersImprovement</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets map tileInfos towers improvement.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../User/package-summary.html">Heroes.User</a> with parameters of type <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TowersImprovements.</span><code><span class="memberNameLink"><a href="../../User/TowersImprovements.html#towerImprovements(Heroes.Tile.TowerInfos)">towerImprovements</a></span>&#8203;(<a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a>&nbsp;tw)</code></th>
<td class="colLast">
<div class="block">Tower improvements tower improvement.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Constructors in <a href="../../User/package-summary.html">Heroes.User</a> with parameters of type <a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../User/TowerImprovement.html#%3Cinit%3E(Heroes.Tile.TowerInfos)">TowerImprovement</a></span>&#8203;(<a href="../TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a>&nbsp;tw)</code></th>
<td class="colLast">
<div class="block">Instantiates a new Tower improvement.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../TowerInfos.html" title="enum in Heroes.Tile">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
